Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactifyWarTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Zip
                      org.apache.tools.ant.taskdefs.Jar
                          org.apache.tools.ant.taskdefs.War
                              org.apache.cactus.integration.ant.CactifyWarTask

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

Direct Known Subclasses:
  CactusWar

public class CactifyWarTask
extends org.apache.tools.ant.taskdefs.War

An Ant task that injects elements necessary to run Cactus tests into an existing WAR file.

Version:
  $Id: CactifyWarTask.java 239172 2005-05-17 09:14:26Z grimsell $

Nested Class Summary
`static class` | `CactifyWarTask.EjbRef` Implements the nested element ejbref
`static class` | `CactifyWarTask.FilterRedirector` Implementation of `Redirector` for filter test redirectors.
`static class` | `CactifyWarTask.JspRedirector` Implementation of `Redirector` for JSP test redirectors.
`static class` | `CactifyWarTask.Redirector` Abstract base class for nested redirector elements.
`static class` | `CactifyWarTask.ServletRedirector` Implementation of `Redirector` for servlet test redirectors.
`static class` | `CactifyWarTask.Version` Enumeration for the version attribute.

Nested classes inherited from class org.apache.tools.ant.taskdefs.Jar
`org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig`

Nested classes inherited from class org.apache.tools.ant.taskdefs.Zip
`org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.WhenEmpty`

Constructor Summary
`CactifyWarTask()`

Method Summary
`void` | `addConfiguredEjbref(CactifyWarTask.EjbRef theEjbRef)` Adds a configured EjbRef instance.
`void` | `addConfiguredXMLCatalog(org.apache.tools.ant.types.XMLCatalog theXmlCatalog)` Adds an XML catalog to the internal catalog.
`void` | `addFilterRedirector(CactifyWarTask.FilterRedirector theFilterRedirector)` Adds a Cactus filter test redirector.
`void` | `addJspRedirector(CactifyWarTask.JspRedirector theJspRedirector)` Adds a Cactus JSP test redirector.
`void` | `addServletRedirector(CactifyWarTask.ServletRedirector theServletRedirector)` Adds a Cactus servlet test redirector.
`void` | `execute()`
`void` | `setMergeWebXml(java.io.File theMergeFile)` The descriptor to merge into the original file.
`void` | `setSrcFile(java.io.File theSrcFile)` Sets the web application archive that should be cactified.
`void` | `setVersion(CactifyWarTask.Version theVersion)` Sets the web-app version to use when creating a WAR file from scratch.

Methods inherited from class org.apache.tools.ant.taskdefs.War
`addClasses, addLib, addWebinf, setWarfile, setWebxml`

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`addConfiguredIndexJars, addConfiguredManifest, addMetainf, reset, setFilesetmanifest, setIndex, setJarfile, setManifest, setManifestEncoding, setWhenempty`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFileset, addZipfileset, addZipGroupFileset, executeMain, getComment, getDestFile, getEncoding, isCompress, isInUpdateMode, setBasedir, setComment, setCompress, setDestFile, setDuplicate, setEncoding, setFile, setFilesonly, setKeepCompression, setRoundUp, setUpdate, setZipfile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactifyWarTask

    public CactifyWarTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`
  See Also:
    `Task.execute()`

### addFilterRedirector

    public final void addFilterRedirector(CactifyWarTask.FilterRedirector theFilterRedirector)

  Adds a Cactus filter test redirector.

  Parameters:
    `theFilterRedirector` - The redirector to add

### addJspRedirector

    public final void addJspRedirector(CactifyWarTask.JspRedirector theJspRedirector)

  Adds a Cactus JSP test redirector.

  Parameters:
    `theJspRedirector` - The redirector to add

### addServletRedirector

    public final void addServletRedirector(CactifyWarTask.ServletRedirector theServletRedirector)

  Adds a Cactus servlet test redirector.

  Parameters:
    `theServletRedirector` - The redirector to add

### addConfiguredXMLCatalog

    public final void addConfiguredXMLCatalog(org.apache.tools.ant.types.XMLCatalog theXmlCatalog)

  Adds an XML catalog to the internal catalog.

  Parameters:
    `theXmlCatalog` - the XMLCatalog instance to use to look up DTDs

### addConfiguredEjbref

    public final void addConfiguredEjbref(CactifyWarTask.EjbRef theEjbRef)

  Adds a configured EjbRef instance. Called by Ant.

  Parameters:
    `theEjbRef` - the EjbRef to add

### setMergeWebXml

    public final void setMergeWebXml(java.io.File theMergeFile)

  The descriptor to merge into the original file.

  Parameters:
    `theMergeFile` - the `web.xml` to merge

### setSrcFile

    public final void setSrcFile(java.io.File theSrcFile)

  Sets the web application archive that should be cactified.

  Parameters:
    `theSrcFile` - The WAR file to set

### setVersion

    public final void setVersion(CactifyWarTask.Version theVersion)

  Sets the web-app version to use when creating a WAR file from scratch.

  Parameters:
    `theVersion` - The version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.